Subject: Re: 23.1; man.el{,c} fails to load when utf-8 mode enabled

From: [email-masked] (Randal L. Schwartz)
Date: Tue, 06 Apr 2010 10:04:55 -0700

>>>>> "Chong" == Chong Yidong <[email-masked]> writes:

Chong> [email-masked] (Randal L. Schwartz) writes:
Chong> Thanks for the bug report, but it's took vague for me to reproduce; for
Chong> instance, what do you mean by "get an invalid byte"?  Could you provide
Chong> a testcase starting from `emacs -Q'?
>> 
>> I imagine it'd be something like
>> 
>> emacs -Q
>> 
>> M-: (set-terminal-coding-system 'utf-8) RET
>> M-: (set-keyboard-coding-system 'utf-8) RET
>> M-: (load-library "man") RET
>> 
>> which will blow up while trying to read the "man" library.

Chong> I don't see any error; man is loaded fine.

Yup, same here.  So it's something more complex than this.

All I know is that in my .emacs, if I had this:

(set-terminal-coding-system 'utf-8)
(set-keyboard-coding-system 'utf-8)
(load-library "man")

it'd blow up.

But if I instead moved the load first:

(load-library "man")
(set-terminal-coding-system 'utf-8)
(set-keyboard-coding-system 'utf-8)

it worked ok.

I don't know how to simulate that from emacs -Q.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion